### Function

# Vips col_dE00

#### Declaration [src]

    float
    vips_col_dE00 (
      float L1,
      float a1,
      float b1,
      float L2,
      float a2,
      float b2
    )

#### Description [src]

CIEDE2000, from:

Luo, Cui, Rigg, “The Development of the CIE 2000 Colour-Difference Formula: CIEDE2000”, COLOR research and application, pp 340.

#### Parameters

`L1`

  Type: `float`

  Input coordinate 1.

`a1`

  Type: `float`

  Input coordinate 1.

`b1`

  Type: `float`

  Input coordinate 1.

`L2`

  Type: `float`

  Input coordinate 2.

`a2`

  Type: `float`

  Input coordinate 2.

`b2`

  Type: `float`

  Input coordinate 2.

#### Return value

Type: `float`

CIE dE2000 colour difference.